[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TComponent.Owner

Owner of this component.

## Declaration

Source position: classesh.inc line 1988

`public property TComponent.Owner : TComponent read FOwner;`

## Description

Owner returns the owner of this component. The owner cannot be set except by explicitly inserting the component in another component's owned components list using that component's InsertComponent method, or by removing the component from it's owner's owned component list using the RemoveComponent method.

## See also

Components |  | Indexed list (zero-based) of all owned components.
InsertComponent |  | Insert the given component in the list of owned components.
RemoveComponent |  | Remove the given component from the list of owned components.